# Gimp.Image.get_thumbnail_data

    @accepts(Gimp.Image, int, int, int)
    @returns(GLib.Bytes)
    def get_thumbnail_data(self, width, height, bpp):
        # Python wrapper for gimp_image_get_thumbnail_data()

Get a thumbnail of an image.

This function gets data from which a thumbnail of an image preview can be created. Maximum x or y dimension is 1024 pixels. The pixels are returned in RGB[A] or GRAY[A] format. The bpp return value gives the number of bytes per pixel in the image.

self

  The image.

width

  The requested thumbnail width.

height

  The requested thumbnail height.

bpp

  The previews bpp.

Returns